Bug 246982

Summary: www/chromium: fatal error: 'asm/hwcap.h' file not found
Product: Ports & Packages Reporter: Bob Prohaska <fbsd>
Component: Individual Port(s)Assignee: freebsd-chromium (Nobody) <chromium>
Status: Closed FIXED    
Severity: Affects Only Me CC: freebsd, mikael, yklaxds
Priority: --- Flags: bugzilla: maintainer-feedback? (chromium)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch none

Description Bob Prohaska 2020-06-04 15:22:28 UTC
A Pi3B attempting to compile www/chromium stopped with 
../../third_party/zlib/cpu_features.c:34:10: fatal error: 'asm/hwcap.h' file not found
#include <asm/hwcap.h>
         ^~~~~~~~~~~~~
1 error generated.


The ports revision is  537591, putting www/chromium at 
chromium-83.0.4103.61. 

uname -a reports
FreeBSD nemesis.zefox.com 12.1-STABLE FreeBSD 12.1-STABLE r361685 GENERIC  arm64

thanks for reading,

bob prohaska
Comment 1 Mikael Urankar freebsd_committer 2020-06-06 07:39:14 UTC
Created attachment 215287 [details]
patch

The build is not finished yet, maybe some other patches are needed.
Comment 2 Mikael Urankar freebsd_committer 2020-06-06 18:22:26 UTC
(In reply to Mikael Urankar from comment #1)
no other patch needed
Comment 3 Bob Prohaska 2020-06-10 14:28:01 UTC
(In reply to Mikael Urankar from comment #2)
I'm doing something wrong; still seeing the error. 

A few days after the fix was announced ports were updated
and www/chromium was rebuilt after running make clean, as
the port had been updated. That build stopped last night
with the same error. Ports were updated again (no changes
to www/chromium but www/node was updated) and the error 
repeated with ports now at 538395. I'll next try updating
www/node to see if that helps.

Thanks for reading,

bob prohaska
Comment 4 commit-hook freebsd_committer 2020-06-10 18:23:45 UTC
A commit references this bug:

Author: mikael
Date: Wed Jun 10 18:23:25 UTC 2020
New revision: 538423
URL: https://svnweb.freebsd.org/changeset/ports/538423

Log:
  www/chromium: fix build on aarch64

  PR:		246982
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/www/chromium/files/patch-third__party_zlib_BUILD.gn
  head/www/chromium/files/patch-third_party_zlib_cpu__features.c
Comment 5 Mikael Urankar freebsd_committer 2020-06-10 18:25:12 UTC
bah, forgot reported by:
sorry

Update your ports tree, it should be ok now
Comment 6 Bob Prohaska 2020-06-10 20:38:34 UTC
A simple svnlite up /usr/ports and restart of make without cleaning didn't
work, same error surfaced promptly.

www/chromium was removed and then restored by a fresh svnlite up /usr/ports.
It's building now, the results will take a couple days to emerge.

Thanks very much!

bob prohaska
Comment 7 Bob Prohaska 2020-10-22 15:51:59 UTC
(In reply to Bob Prohaska from comment #6)

The bug is back with the latest version of chromium, chromium-84.0.4147.135.
Comment 8 Bob Prohaska 2020-10-22 15:52:43 UTC
(In reply to Bob Prohaska from comment #6)

The bug is back with the latest version of chromium, chromium-84.0.4147.135.
Comment 9 Bob Prohaska 2020-10-31 03:27:28 UTC
Looks as if the patch didn't make it to chromium-85.0.4183.121
Comment 10 commit-hook freebsd_committer 2020-11-09 18:33:41 UTC
A commit references this bug:

Author: mikael
Date: Mon Nov  9 18:32:44 UTC 2020
New revision: 554786
URL: https://svnweb.freebsd.org/changeset/ports/554786

Log:
  www/chromium: attempt to fix build on aarch64

  PR:		246982
  Reported by:	Bob Prohaska
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/www/chromium/files/patch-third__party_zlib_BUILD.gn
Comment 11 ykla 2020-11-10 03:18:54 UTC
I met It today.
FreeBSD 13.0-CURRENT #0 b9403d7aae8-c254071(main): Thu Oct 29 10:38:29 UTC 2020
Comment 12 Bob Prohaska 2021-01-26 04:02:02 UTC
(In reply to ykla from comment #11)
Same here. 
chromium-87.0.4280.141, on current-14. FreeBSD www.zefox.org 14.0-CURRENT FreeBSD 14.0-CURRENT #12 c256201-gf9a66922c9ec: Sun Jan 24 13:11:47 PST 2021     bob@www.zefox.org:/usr/obj/usr/freebsd-src/arm64.aarch64/sys/GENERIC-MMCCAM  arm64

For some reason the fix isn't persistent. 

Thanks for reading,

bob prohaska
Comment 13 Bob Prohaska 2021-01-26 18:53:22 UTC
FWIW, Mikael's old patch doesn't seem to work anymore.
Guess something has changed, or I made a mistake applying it.
Comment 14 Bob Prohaska 2021-02-02 18:37:09 UTC
Not fixed as of February 2, 2021. Make still stops with

../../third_party/zlib/cpu_features.c:50:10: fatal error: 'asm/hwcap.h' file not found
#include <asm/hwcap.h>
         ^~~~~~~~~~~~~
1 error generated.
ninja: build stopped: subcommand failed.
*** Error code 1

Stop.
make: stopped in /usr/ports/www/chromium
uname -a reports
root@www:/usr/ports/www/chromium # uname -a
FreeBSD www.zefox.org 14.0-CURRENT FreeBSD 14.0-CURRENT #13 main-n244502-0f919ed4ae4d: Sat Jan 30 20:02:18 PST 2021     bob@www.zefox.org:/usr/obj/usr/freebsd-src/arm64.aarch64/sys/GENERIC-MMCCAM  arm64

svnlite info /usr/ports reports
Path: /usr/ports
Working Copy Root Path: /usr/ports
URL: svn://svn.freebsd.org/ports/head
Relative URL: ^/head
Repository Root: svn://svn.freebsd.org/ports
Repository UUID: 35697150-7ecd-e111-bb59-0022644237b5
Revision: 563437
Node Kind: directory
Schedule: normal
Last Changed Author: olgeni
Last Changed Rev: 563437
Last Changed Date: 2021-01-30 13:52:18 -0800 (Sat, 30 Jan 2021)
Comment 15 commit-hook freebsd_committer 2021-02-07 08:28:36 UTC
A commit references this bug:

Author: mikael
Date: Sun Feb  7 08:28:31 UTC 2021
New revision: 564607
URL: https://svnweb.freebsd.org/changeset/ports/564607

Log:
  www/chromium: Fix build on aarch64

  PR:		246982
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/www/chromium/files/patch-third__party_zlib_BUILD.gn
  head/www/chromium/files/patch-third__party_zlib_cpu__features.c
Comment 16 Bob Prohaska 2021-04-22 00:59:17 UTC
The bug is back as of April 21, 2021. Last pull was on the 20th, reporting
in part:

From https://git.freebsd.org/ports
   0ff5fa157d9d..9e38c2ab2d91  main       -> origin/main
   d149560bb859..d7bd94998c03  2021Q2     -> origin/2021Q2
Updating 0ff5fa157d9d..9e38c2ab2d91

Nothing special done on this end, if it's my mistake please indicate
what I did. The /usr/ports directory contains no mention of origin/main,
nor origin/2021Q2. The intent was to track the most recent version.

Thanks for reading,

bob prohaska
Comment 17 Bob Prohaska 2021-04-22 01:00:58 UTC
The bug is back as of April 21, 2021. Last pull was on the 20th, reporting
in part:

From https://git.freebsd.org/ports
   0ff5fa157d9d..9e38c2ab2d91  main       -> origin/main
   d149560bb859..d7bd94998c03  2021Q2     -> origin/2021Q2
Updating 0ff5fa157d9d..9e38c2ab2d91

Nothing special done on this end, if it's my mistake please indicate
what I did. The /usr/ports directory contains no mention of origin/main,
nor origin/2021Q2. The intent was to track the most recent version.

This happens to be on a Pi4 if it matters.

Thanks for reading,

bob prohaska
Comment 18 Mikael Urankar freebsd_committer 2021-04-22 08:49:02 UTC
(In reply to Bob Prohaska from comment #17)
www/chromium/files/patch-third__party_zlib_BUILD.gn was deleted

over to chromium@
Comment 19 Matthias Wolf 2021-04-22 10:00:55 UTC
Added the patches to the v90 WIP.
Comment 20 Bob Prohaska 2021-04-29 22:52:36 UTC
Build of chromium-90.0.4430.85 still stops with:
../../third_party/zlib/cpu_features.c:50:10: fatal error: 'asm/hwcap.h' file not found
#include <asm/hwcap.h>
Comment 21 Matthias Wolf 2021-04-30 08:23:01 UTC
Can you remove files/patch-tools_gn_src_util_sys__info.cc and try again?
Comment 22 Mikael Urankar freebsd_committer 2021-04-30 08:28:53 UTC
(In reply to Matthias Wolf from comment #21)
files/patch-third__party_zlib_BUILD.gn was deleted in a previous commit and it's still missing.
Comment 23 Matthias Wolf 2021-04-30 11:14:06 UTC
Re-added that one to our v90 github repository as well.
Comment 24 Bob Prohaska 2021-04-30 15:48:13 UTC
At what point should I pull and try again?

Is there any point in removing 
files/patch-tools_gn_src_util_sys__info.cc  ?

Thanks for the quick reply!

bob prohaska
Comment 25 Mikael Urankar freebsd_committer 2021-05-02 16:10:44 UTC
(In reply to Bob Prohaska from comment #24)
just update your ports tree.